(define-module (my-module adguard-home)
  #:use-module (guix git-download)
  #:use-module (guix packages)
  #:use-module (guix build-system gnu))

(define-public adguard-home
  (package
    (name "adguard-home")
    (version "<commit-or-tag>")
    (source
     (origin
       (method git-fetch)
       (uri (git-reference
             (url "https://github.com/AdguardTeam/AdGuardHome.git")
             (commit version)
       ))
       (file-name (git-file-name name version))
       (sha256 (base32 "0mdqa9w1p6cmli6976v4wi0sw9r4p5prkj7lzfd1877wk11c9c73")) ;; empty hash
     ))
    (build-system gnu-build-system)
    (arguments
     `(#:phases
       (modify-phases %standard-phases
         (replace 'configure
           (lambda* (#:key inputs outputs #:allow-other-keys)
             (invoke "./configure" "--prefix" (assoc-ref outputs "out"))))
         (replace 'build
           (lambda* (#:key inputs outputs #:allow-other-keys)
             (invoke "make"))))))
    (inputs `())
    (synopsis "Network-wide software for blocking ads & tracking")
    (description
     "AdGuard Home is a network-wide software for blocking and tracking.
      After you set it up, it'll cover ALL your home devices, and you don't need client-side software
      for that.  It operates as a DNS server that re-routes tracking domains to
      a 'black hole,' thus preventing your devices from connecting
      to those servers.")
    (license license:gpl3)
    (home-page "https://github.com/AdguardTeam/AdGuardHome")))